com.rscja.team.qcom.ble

## Class EmptyUhfBle

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.ble.EmptyUhfBle

- All Implemented Interfaces:
    IBluetoothReader, IHandheldRFID, IReader, ISingleAntenna, IUHF, IUhfBle, IUhfReader
  Direct Known Subclasses:
    RFIDWithUHFBLEN51_qcom, RFIDWithUHFBLEN52_qcom

      public class EmptyUhfBle
      extends UhfBase
      implements IUhfBle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IBluetoothReader

      `VERSION_BT_FIRMWARE, VERSION_BT_HARDWARE, VERSION_BT_SOFTWARE`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IReader

      `UPDATE_STM32`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyUhfBle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blinkOfLed(int duration, int interval, int count)` led 闪烁
    `boolean` | `blockWriteData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)` 向标签写入数据(支持大数据标签写入)、当需要写入的标签数据比较大可以使用此函数写入 Write data into tag(support big-sized data writing), user could use this function when big-sized data need to be written.
    `boolean` | `closeLed()` 关闭led
    `void` | `connect(java.lang.String address)` 连接蓝牙(Connect Bluetooth)
    `void` | `connect(java.lang.String address, ConnectionStatusCallback<java.lang.Object> btStatusCallback)` 连接蓝牙(Connect Bluetooth)
    `boolean` | `deleteAllTagToFlash()` 删除R2、R6缓存的标签 Delete tag in buffer of R2 and R6
    `void` | `disconnect()` 断开蓝牙(Disconnect Bluetooth)
    `boolean` | `eraseData(java.lang.String accessPwd, int bank, int ptr, int cnt)` 擦除数据，被擦除的数据块其内容将被设置成0. Data block that has been cleaned will be setup to 0.
    `boolean` | `eraseData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)` 擦除指定标签的数据，被擦除的数据块其内容将被设置成0. Clean specific tag data, data block after cleaned will be set to 0.
    `boolean` | `free()` 关闭UHF模块 Switch OFF UHF module
    `java.lang.String` | `generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank, int lockMode)` 获取锁定码 Get lock code
    `int` | `getAllTagTotalFromFlash()` 获取R2、R6 缓存的标签数量 Acquire tag amounts in buffer of R2 and R6.
    `int` | `getBarcodeTypeInSSIID()`
    `int` | `getBattery()` 获取电池电量 Acquire battery capacity
    `int` | `getBeep()`
    `java.lang.String` | `getBleHardwareVersion()`
    `java.util.HashMap<java.lang.String,java.lang.String>` | `getBluetoothVersion()` 获取蓝牙版本号(acquire Bluetooth version)
    `ConnectionStatus` | `getConnectStatus()` 获取UHF连接状态 Acquire UHF connection status
    `int` | `getCW()` 获取连续波设置 Acquire CW setup
    `InventoryModeEntity` | `getEPCAndTIDUserMode()` 获取当前设置的盘点模式 (Get the currently set inventory mode)
    `java.lang.String` | `getEx10SDKFirmware()`
    `int` | `getFastID()`
    `int` | `getFrequencyMode()` 读取模块的工作模式 Read work mode of module
    `Gen2Entity` | `getGen2()` 获取GEN2参数值(Get GEN2 parameter value)
    `int` | `getNewTagTotalFromFlash()`
    `byte[]` | `getParameter(byte[] ssiParameter)`
    `int` | `getPower()` 读取模块的功率 Read module output power
    `int` | `getProtocol()` 获取协议 Acquire protocol
    `int` | `getReaderAwaitSleepTime()` 获取读写器等待休眠的时间
    `int` | `getRFLink()` 获取链路参数 acquire link parameter
    `java.lang.String` | `getSTM32Version()` 获取stm32版本号(Acquire stm32 version )
    `java.util.List<UHFTAGInfo>` | `getTagDataFromFlash()` 获取R2、R6缓存的标签信息 Acquire tag information in buffer of R2 and R6
    `int` | `getTagfocus()`
    `ITagLocate` | `getTagLocate(android.content.Context context)`
    `int` | `getTemperature()` 获取模块温度 Acquire module Temperature
    `java.lang.String` | `getVersion()` 读取UHF模块版本号 Read UHF module version
    `boolean` | `init(android.content.Context context)` 初始化UHF模块 Initiate UHF module
    `UHFTAGInfo` | `inventorySingleTag()` 单步识别标签 Identify tag in single mode
    `boolean` | `isInventorying()` uhf 是否正在盘点
    `boolean` | `killTag(java.lang.String killPwd)` 销毁指定标签,默认密码(0x00 0x00 0x00 0x00)不能执行销毁 Kill specific tag, default password(0x00 0x00 0x00 0x00)
    `boolean` | `killTag(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)` 销毁指定标签 ,默认密码(0x00 0x00 0x00 0x00)不能执行销毁 Kill specific tag, default password(0x00 0x00 0x00 0x00)
    `boolean` | `lockMem(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String filterData, java.lang.String lockCode)` 锁定指定标签 Lock specific tag
    `boolean` | `lockMem(java.lang.String accessPwd, java.lang.String lockCode)` 锁定标签 Lock tag
    `boolean` | `openLed()` 打开led
    `java.lang.String` | `readData(java.lang.String accessPwd, int bank, int ptr, int cnt)` 读取标签数据 Read tag data
    `java.lang.String` | `readData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)` 读取指定标签数据 Read specific tag data
    `UHFTAGInfo` | `readTagFromBuffer()` Deprecated.
    `java.util.List<UHFTAGInfo>` | `readTagFromBufferList_EpcTidUser()` Deprecated.
    `java.util.List<UHFTAGInfo>` | `readTagFromBufferList()` Deprecated.
    `java.lang.String` | `scanBarcode()` 扫描条码 Scan barcode
    `byte[]` | `scanBarcodeToBytes()` 扫描条码 Scan barcode
    `boolean` | `sendData(byte[] sendData)` 发送指令(send data)
    `boolean` | `setBarcodeTypeInSSIID(boolean isContainBarcodeType)`
    `boolean` | `setBeep(boolean isOpen)` 设置蜂鸣器开关 Setup buzzer ON/OFF
    `void` | `setConnectionStatusCallback(ConnectionStatusCallback<java.lang.Object> btStatusCallback)` 设置UHF连接状态回调 Setup UHF continuous stauts call-back
    `boolean` | `setCW(int flag)` 设置连续波 Setup CW
    `boolean` | `setDynamicDistance(int value)` Radar positioning dynamically adjusts distance.
    `boolean` | `setEPCAndTIDMode()` 设置循环盘点同时读取 EPC、TID 模式 Setup auto scan to acquire EPC, TID mode
    `boolean` | `setEPCAndTIDUserMode(int user_prt, int user_len)` 设置循环盘点同时读取 EPC、TID、USER 模式 Setup auto scan to acquire EPC, TID, User mode
    `boolean` | `setEPCMode()` 设置循环盘点只获取EPC的数据 Setup auto scan to acquire EPC only
    `boolean` | `setFastID(boolean enalbe)` 开关FastID功能 ON/OFF FastID function
    `boolean` | `setFilter(int bank, int ptr, int cnt, java.lang.String data)` 过滤循环盘点的标签，在`IUHF.startInventoryTag()`循环盘点标签之前，可以设置要过滤的数据。 Filter tag in auto scan mode, before scanning tags `IUHF.startInventoryTag()`, setup data that needs to be filtered.
    `boolean` | `setFreHop(float fre)` 设置模块频点 Setup frequency Hop
    `boolean` | `setFrequencyMode(int freMode)` 设置模块的工作模式 Setup work mode of module
    `boolean` | `setGen2(Gen2Entity gen2Entity)` 设置GEN2参数值 (Set GEN2 parameter value)
    `void` | `setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 设置盘点回调接口，接收循环盘点到的标签数据 Set the inventory callback interface to receive the label data from the cyclic inventory 备注：需要在开始循环盘点`IUHF.startInventoryTag()`之前调用此方法。 Note: This method needs to be called before starting the loop inventory `IUHF.startInventoryTag()`.
    `void` | `setKeyEventCallback(KeyEventCallback KeyEventCallback)` 设置扫描按键回调 Setup SCAN button call back
    `void` | `setOnDataChangeListener(BluetoothReader.OnDataChangeListener onDataChangeListener)`
    `boolean` | `setParameter(byte[] ssiParameter, byte[] value)`
    `boolean` | `setPower(int power)` 设置模块的功率 Setup output power
    `boolean` | `setProtocol(int protocol)` 设置协议 Setup protocol
    `boolean` | `setReaderAwaitSleepTime(int time)` 设置读写器等待休眠的时间。在读写器断开连接的状态下，即将进入休眠的时间。
    `boolean` | `setRemoteBluetoothName(java.lang.String name)` 修改蓝牙名称(Change Bluetooth device Name)
    `boolean` | `setRFLink(int mode)` 设置链路参数 Setup RFlink
    `void` | `setSupportRssi(boolean isSupportRssi)`
    `boolean` | `setTagFocus(boolean enalbe)` 开关TagFocus功能 ON/OFF TagFocus
    `boolean` | `startInventoryTag()` 开始循环识别标签。
    `boolean` | `startInventoryTag(InventoryParameter inventoryParameter)` 开始循环识别标签。
    `boolean` | `startLocation(android.content.Context context, java.lang.String label, int bank, int ptr, IUHFLocationCallback locationCallback)`
    `boolean` | `startRadarLocation(android.content.Context context, java.lang.String tag, int bank, int ptr, IUHFRadarLocationCallback locationCallback)` 开始定位 Start location
    `BarcodeResult` | `startScanBarcode()`
    `boolean` | `startScanBarcodeInBlinkMode(BluetoothReader.DecodeCallback decodeCallback)`
    `boolean` | `startScanBarcodeInTriggleMode(BluetoothReader.DecodeCallback decodeCallback)`
    `void` | `startScanBTDevices(ScanBTCallback scanBTCallback)` 扫描蓝牙设备(scanning Bluetooth devices)
    `boolean` | `stopInventory()` 停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程 Stop auto reading, after call this function to exit sub threads of tag data of buffer.
    `boolean` | `stopLocation()`
    `boolean` | `stopRadarLocation()` 设置R6工作模式
    `boolean` | `stopScanBarcode()`
    `void` | `stopScanBTDevices()` 停止扫描蓝牙设备(Stop scanning Bluetooth devices)
    `boolean` | `triggerBeep(int durationTime)` 触发蜂鸣器
    `boolean` | `uhfBlockPermalock(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int ReadLock, int uBank, int uPtr, int uRange, byte[] uMaskbuf)` 数据块操作
    `boolean` | `uhfJump2Boot()` uhf进入boot模式 ，开始升级之前需要调用此函数 UHF enter boot mode, need to call this formula before upgrade
    `boolean` | `uhfJump2Boot(int type)` uhf进入boot模式 ，开始升级之前需要调用此函数 UHF enter boot mode, need to call this formula before upgrade
    `boolean` | `uhfJump2BootSTM32()`
    `boolean` | `uhfStartUpdate()` 开始升级uhf模块 Start upgrade UHF module
    `boolean` | `uhfStopUpdate()` 停止升级uhf模块，uhf模块升级完成后需要调用此函数 Stop upgrade UHF module, call this formula after module has been upgraded.
    `boolean` | `uhfUpdating(byte[] buff)` 升级uhf模块，发送uhf固件数据 Upgrade UHF module, send UHF firmware data
    `boolean` | `writeData(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String data)` 向标签写入数据 Write data in tag
    `boolean` | `writeData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)` 将数据写入指定标签 Write data
    `boolean` | `writeDataToEpc(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, java.lang.String writeData)` 将数据写入到EPC,而且自动适配盘点的EPC长度 Write data to epc
    `boolean` | `writeDataToEpc(java.lang.String accessPwd, java.lang.String writeData)` 将数据写入到EPC,而且自动适配盘点的EPC长度 Write data to epc

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `factoryReset, getFastInventoryMode, readTcpServiceState, setEPCAndTIDUserMode, setFastInventoryMode, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `factoryReset, getFastInventoryMode, setEPCAndTIDUserMode, setFastInventoryMode`

- - ### Constructor Detail

    - #### EmptyUhfBle

          public EmptyUhfBle()

  - ### Method Detail

    - #### readTagFromBufferList_EpcTidUser

          public java.util.List<UHFTAGInfo> readTagFromBufferList_EpcTidUser()

      Description copied from interface: `IUhfBle`
      Deprecated. Use `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .
      Specified by:
        `readTagFromBufferList_EpcTidUser` in interface `IUhfBle`

    - #### setSupportRssi

          public void setSupportRssi(boolean isSupportRssi)

    - #### uhfJump2BootSTM32

          public boolean uhfJump2BootSTM32()

      Specified by:
        `uhfJump2BootSTM32` in interface `IUhfBle`

    - #### getEx10SDKFirmware

          public java.lang.String getEx10SDKFirmware()

      Specified by:
        `getEx10SDKFirmware` in interface `IUhfBle`

    - #### stopLocation

          public boolean stopLocation()

      Specified by:
        `stopLocation` in interface `IHandheldRFID`

    - #### getTagLocate

          public ITagLocate getTagLocate(android.content.Context context)

      Specified by:
        `getTagLocate` in interface `IHandheldRFID`

    - #### startLocation

          public boolean startLocation(android.content.Context context,
                                       java.lang.String label,
                                       int bank,
                                       int ptr,
                                       IUHFLocationCallback locationCallback)

      Specified by:
        `startLocation` in interface `IHandheldRFID`

    - #### stopRadarLocation

          public boolean stopRadarLocation()

      Description copied from interface: `IUhfBle`
      设置R6工作模式
      Specified by:
        `stopRadarLocation` in interface `IHandheldRFID`
      Specified by:
        `stopRadarLocation` in interface `IUhfBle`
      Returns:
        true:成功(success) false:失败(failure)

    - #### startRadarLocation

          public boolean startRadarLocation(android.content.Context context,
                                            java.lang.String tag,
                                            int bank,
                                            int ptr,
                                            IUHFRadarLocationCallback locationCallback)

      Description copied from interface: `IUhfBle`
      开始定位
      Start location
      Specified by:
        `startRadarLocation` in interface `IHandheldRFID`
      Specified by:
        `startRadarLocation` in interface `IUhfBle`
      Parameters:
        `context` - context
        `tag` - 要定位的标签(locate to the label)
        `bank` - 标签的存储区(Storage area):`IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setDynamicDistance

          public boolean setDynamicDistance(int value)

      Description copied from interface: `IUhfBle`
      Radar positioning dynamically adjusts distance.
      Specified by:
        `setDynamicDistance` in interface `IHandheldRFID`
      Specified by:
        `setDynamicDistance` in interface `IUhfBle`
      Parameters:
        `value` - 1-30
      Returns:

    - #### startInventoryTag

          public boolean startInventoryTag(InventoryParameter inventoryParameter)

      Description copied from interface: `IUhfBle`

      开始循环识别标签。

      Begin looping through the identification labels.

      通过 `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 这个回调接口获取标签数据，需要在开始盘点之前调用setInventoryCallback方法。

      Get the label data through the callback interface `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)`, you need to call the setInventoryCallback method before starting the inventory.

      备注：开启循环识别标签后模块只能响应`IUHF.stopInventory()`函数 。

      Note: The module can only respond to the `IUHF.stopInventory()` function after the loop identification tag is turned on.

      Specified by:
        `startInventoryTag` in interface `IUhfBle`
      Returns:
        true:成功(success) false:失败(failure)

    - #### startScanBTDevices

          public void startScanBTDevices(ScanBTCallback scanBTCallback)

      Description copied from interface: `IBluetoothReader`
      扫描蓝牙设备(scanning Bluetooth devices)
      Specified by:
        `startScanBTDevices` in interface `IBluetoothReader`
      Parameters:
        `scanBTCallback` - 扫描结果回调(scanning result call back)

    - #### stopScanBTDevices

          public void stopScanBTDevices()

      Description copied from interface: `IBluetoothReader`
      停止扫描蓝牙设备(Stop scanning Bluetooth devices)
      Specified by:
        `stopScanBTDevices` in interface `IBluetoothReader`

    - #### connect

          public void connect(java.lang.String address)

      Description copied from interface: `IBluetoothReader`
      连接蓝牙(Connect Bluetooth)
      Specified by:
        `connect` in interface `IBluetoothReader`
      Parameters:
        `address` - 蓝牙地址(Bluetooth address)

    - #### connect

          public void connect(java.lang.String address,
                              ConnectionStatusCallback<java.lang.Object> btStatusCallback)

      Description copied from interface: `IBluetoothReader`
      连接蓝牙(Connect Bluetooth)
      Specified by:
        `connect` in interface `IBluetoothReader`
      Parameters:
        `address` - 蓝牙地址(Bluetooth address )
        `btStatusCallback` - 蓝牙连接状态回调接口(Bluetooth connection status call back)

    - #### disconnect

          public void disconnect()

      Description copied from interface: `IBluetoothReader`
      断开蓝牙(Disconnect Bluetooth)
      Specified by:
        `disconnect` in interface `IBluetoothReader`

    - #### sendData

          public boolean sendData(byte[] sendData)

      Description copied from interface: `IBluetoothReader`
      发送指令(send data)
      Specified by:
        `sendData` in interface `IBluetoothReader`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setRemoteBluetoothName

          public boolean setRemoteBluetoothName(java.lang.String name)

      Description copied from interface: `IBluetoothReader`
      修改蓝牙名称(Change Bluetooth device Name)
      Specified by:
        `setRemoteBluetoothName` in interface `IBluetoothReader`
      Parameters:
        `name` - 新的蓝牙名称(New Bluetooth name)
      Returns:
        true:成功(success) false:失败(failure)

    - #### getBluetoothVersion

          public java.util.HashMap<java.lang.String,java.lang.String> getBluetoothVersion()

      Description copied from interface: `IBluetoothReader`
      获取蓝牙版本号(acquire Bluetooth version)
      Specified by:
        `getBluetoothVersion` in interface `IBluetoothReader`
      Returns:
        key:`IBluetoothReader.VERSION_BT_FIRMWARE` 表示固件版本(Firmware Version), key:`IBluetoothReader.VERSION_BT_HARDWARE` 表示硬件版本(Hardware version) ， key:`IBluetoothReader.VERSION_BT_SOFTWARE` 表示软件版本(software version)

    - #### getBleHardwareVersion

          public java.lang.String getBleHardwareVersion()

      Specified by:
        `getBleHardwareVersion` in interface `IBluetoothReader`

    - #### setOnDataChangeListener

          public void setOnDataChangeListener(BluetoothReader.OnDataChangeListener onDataChangeListener)

      Specified by:
        `setOnDataChangeListener` in interface `IBluetoothReader`

    - #### startScanBarcodeInBlinkMode

          public boolean startScanBarcodeInBlinkMode(BluetoothReader.DecodeCallback decodeCallback)

    - #### startScanBarcodeInTriggleMode

          public boolean startScanBarcodeInTriggleMode(BluetoothReader.DecodeCallback decodeCallback)

    - #### stopScanBarcode

          public boolean stopScanBarcode()

      Specified by:
        `stopScanBarcode` in interface `IBluetoothReader`
      Returns:

    - #### getBeep

          public int getBeep()

      Specified by:
        `getBeep` in interface `IBluetoothReader`

    - #### getSTM32Version

          public java.lang.String getSTM32Version()

      Description copied from interface: `IReader`
      获取stm32版本号(Acquire stm32 version )
      Specified by:
        `getSTM32Version` in interface `IReader`
      Returns:
        返回stm32版本 (return stm32 version)

    - #### getBattery

          public int getBattery()

      Description copied from interface: `IReader`
      获取电池电量
      Acquire battery capacity
      Specified by:
        `getBattery` in interface `IReader`
      Returns:
        返回电量，-1表示获取电量失败(return battery capacity, -1 means acquire failure.)

    - #### setBeep

          public boolean setBeep(boolean isOpen)

      Description copied from interface: `IReader`
      设置蜂鸣器开关
      Setup buzzer ON/OFF
      Specified by:
        `setBeep` in interface `IReader`
      Parameters:
        `isOpen` - true:打开蜂鸣器(ON)， false:关闭蜂鸣器(OFF)
      Returns:
        true:成功(success) false:失败(failure)

    - #### triggerBeep

          public boolean triggerBeep(int durationTime)

      Description copied from interface: `IReader`
      触发蜂鸣器
      Specified by:
        `triggerBeep` in interface `IReader`
      Parameters:
        `durationTime` - 持续时间, 范围1-255，单位为100ms
      Returns:
        true 成功,false 失败

    - #### scanBarcode

          public java.lang.String scanBarcode()

      Description copied from interface: `IReader`
      扫描条码
      Scan barcode
      Specified by:
        `scanBarcode` in interface `IReader`
      Returns:
        返回条码字符串数据(return barcode string data)

    - #### scanBarcodeToBytes

          public byte[] scanBarcodeToBytes()

      Description copied from interface: `IReader`
      扫描条码
      Scan barcode
      Specified by:
        `scanBarcodeToBytes` in interface `IReader`
      Returns:
        返回条码的原始byte数据(return initial byte data of barcode)

    - #### setBarcodeTypeInSSIID

          public boolean setBarcodeTypeInSSIID(boolean isContainBarcodeType)

      Specified by:
        `setBarcodeTypeInSSIID` in interface `IReader`

    - #### getBarcodeTypeInSSIID

          public int getBarcodeTypeInSSIID()

      Specified by:
        `getBarcodeTypeInSSIID` in interface `IReader`

    - #### startScanBarcode

          public BarcodeResult startScanBarcode()

      Specified by:
        `startScanBarcode` in interface `IReader`

    - #### setParameter

          public boolean setParameter(byte[] ssiParameter,
                                      byte[] value)

      Specified by:
        `setParameter` in interface `IReader`

    - #### getParameter

          public byte[] getParameter(byte[] ssiParameter)

      Specified by:
        `getParameter` in interface `IReader`

    - #### setKeyEventCallback

          public void setKeyEventCallback(KeyEventCallback KeyEventCallback)

      Description copied from interface: `IReader`
      设置扫描按键回调
      Setup SCAN button call back
      Specified by:
        `setKeyEventCallback` in interface `IReader`
      Parameters:
        `KeyEventCallback` - 按键回调接口(Keyboard call back)

    - #### openLed

          public boolean openLed()

      Description copied from interface: `IReader`
      打开led
      Specified by:
        `openLed` in interface `IReader`
      Returns:
        true:success false:success

    - #### closeLed

          public boolean closeLed()

      Description copied from interface: `IReader`
      关闭led
      Specified by:
        `closeLed` in interface `IReader`
      Returns:
        true:success false:success

    - #### blinkOfLed

          public boolean blinkOfLed(int duration,
                                    int interval,
                                    int count)

      Description copied from interface: `IReader`
      led 闪烁
      Specified by:
        `blinkOfLed` in interface `IReader`
      Parameters:
        `duration` - 持续发光时间
        `interval` - 间隔时间
        `count` - 闪烁次数
      Returns:
        true:success false:success

    - #### getPower

          public int getPower()

      Description copied from interface: `ISingleAntenna`
      读取模块的功率
      Read module output power
      Specified by:
        `getPower` in interface `ISingleAntenna`
      Returns:
        返回功率，返回-1为失败(Return output power, return -1 means failure.)

    - #### setPower

          public boolean setPower(int power)

      Description copied from interface: `ISingleAntenna`
      设置模块的功率
      Setup output power
      Specified by:
        `setPower` in interface `ISingleAntenna`
      Parameters:
        `power` - 功率值(Power values)
      Returns:
        true:成功(success) false:失败(failure)

    - #### init

          public boolean init(android.content.Context context)

      Description copied from interface: `IUHF`
      初始化UHF模块
      Initiate UHF module
      Specified by:
        `init` in interface `IBluetoothReader`
      Specified by:
        `init` in interface `IUHF`
      Specified by:
        `init` in class `UhfBase`
      Parameters:
        `context` - context
      Returns:
        true:成功(success) false:失败(failure)

    - #### free

          public boolean free()

      Description copied from interface: `IUHF`
      关闭UHF模块
      Switch OFF UHF module
      Specified by:
        `free` in interface `IBluetoothReader`
      Specified by:
        `free` in interface `IUHF`
      Overrides:
        `free` in class `UhfBase`
      Returns:
        true:成功(success) false:失败(failure)

    - #### getVersion

          public java.lang.String getVersion()

      Description copied from interface: `IUHF`
      读取UHF模块版本号
      Read UHF module version
      Specified by:
        `getVersion` in interface `IUHF`
      Returns:
        返回模块类型，null为读取失败(Resture module type, null means read failure.)

    - #### getFrequencyMode

          public int getFrequencyMode()

      Description copied from interface: `IUHF`
      读取模块的工作模式
      Read work mode of module
      Specified by:
        `getFrequencyMode` in interface `IUHF`
      Returns:
        返回工作模式，返回-1为失败 (return work mode, return -1 means failure)
        0x01：China Standard(840~845MHz)
        0x02：China Standard2(920~925MHz)
        0x04：Europe Standard(865~868MHz)
        0x08：USA(902-928MHz)
        0x16：Korea(917~923MHz)
        0x32: Japan(916.8~920.8MHz)
        0x33: South Africa(915~919MHz)
        0x34: China Taiwan(920~928Mhz)
        0x35:Vietnam(918~923MHz)
        0x36:Peru(915MHz-928MHz)
        0x37:Russia( 860MHz-867.6MHz)
        0x3B:Malaysia(919-923MHz)
        0x3C:Brazil
        0x3D:ETSI_UPPER
        0x3E:Australia
        0x3F:Indonesia(920-923MHz)
        0x40:Israel
        0x41:HK
        0x42:New Zealand

    - #### setFrequencyMode

          public boolean setFrequencyMode(int freMode)

      Description copied from interface: `IUHF`
      设置模块的工作模式
      Setup work mode of module
      Specified by:
        `setFrequencyMode` in interface `IUHF`
      Parameters:
        `freMode` - 0x01：China Standard(840~845MHz)
        0x02：China Standard2(920~925MHz)
        0x04：Europe Standard(865~868MHz)
        0x08：USA(902-928MHz)
        0x16：Korea(917~923MHz)
        0x32: Japan(916.8~920.8MHz)
        0x33: South Africa(915~919MHz)
        0x34: China Taiwan(920~928Mhz)
        0x35:Vietnam(918~923MHz)
        0x36:Peru(915MHz-928MHz)
        0x37:Russia( 860MHz-867.6MHz)
        0x3B:Malaysia(919-923MHz)
        0x3C:Brazil
        0x3D:ETSI_UPPER
        0x3E:Australia
        0x3F:Indonesia(920-923MHz)
        0x40:Israel
        0x41:HK
        0x42:New Zealand
      Returns:
        true:成功(success) false:失败(failure)

    - #### startInventoryTag

          public boolean startInventoryTag()

      Description copied from interface: `IUHF`

      开始循环识别标签。

      Begin looping through the identification labels.

      通过 `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 这个回调接口获取标签数据，需要在开始盘点之前调用setInventoryCallback方法。

      Get the label data through the callback interface `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)`, you need to call the setInventoryCallback method before starting the inventory.

      备注：开启循环识别标签后模块只能响应`IUHF.stopInventory()`函数 。

      Note: The module can only respond to the `IUHF.stopInventory()` function after the loop identification tag is turned on.

      Specified by:
        `startInventoryTag` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### readTagFromBuffer

          public UHFTAGInfo readTagFromBuffer()

      Description copied from interface: `IUHF`
      Deprecated. Use `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .
      Specified by:
        `readTagFromBuffer` in interface `IUHF`

    - #### stopInventory

          public boolean stopInventory()

      Description copied from interface: `IUHF`
      停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程
      Stop auto reading, after call this function to exit sub threads of tag data of buffer.
      Specified by:
        `stopInventory` in interface `IUHF`
      Specified by:
        `stopInventory` in class `UhfBase`
      Returns:
        true:成功(success) false:失败(failure)

    - #### generateLockCode

          public java.lang.String generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank,
                                                   int lockMode)

      Description copied from interface: `IUHF`
      获取锁定码
      Get lock code
      Specified by:
        `generateLockCode` in interface `IUHF`
      Parameters:
        `lockBank` - 要锁定的区域 (lockBank areas that need to lock ):
        `IUHF.LockBank_KILL`
        `IUHF.LockBank_ACCESS`
        `IUHF.LockBank_TID`
        `IUHF.LockBank_USER`
        `IUHF.LockBank_EPC`
        `lockMode` - 锁定的模式(lockMode lock modes):
        `IUHF.LockMode_LOCK`
        `IUHF.LockMode_OPEN`
        `IUHF.LockMode_PLOCK`
        `IUHF.LockMode_POPEN`
      Returns:
        返回锁定码，null表示失败(return lock code, null means failure)

    - #### lockMem

          public boolean lockMem(java.lang.String accessPwd,
                                 int bank,
                                 int ptr,
                                 int cnt,
                                 java.lang.String filterData,
                                 java.lang.String lockCode)

      Description copied from interface: `IUHF`
      锁定指定标签
      Lock specific tag
      Specified by:
        `lockMem` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `bank` - 标签的存储区(memory area):
        `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 过滤起始地址,单位:bit (Filter start address,unit:bit)
        `cnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤。 (Filter data length(unit:bit) when filter length is 0, it means no filter.)
        `filterData` - 过滤数据(Filter data)
        `lockCode` - 锁定码 (Lock Code)
      Returns:
        true:成功(success) false:失败(failure)

    - #### lockMem

          public boolean lockMem(java.lang.String accessPwd,
                                 java.lang.String lockCode)

      Description copied from interface: `IUHF`
      锁定标签
      Lock tag
      Specified by:
        `lockMem` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `lockCode` - 锁定码 (Lock Code)
      Returns:
        true:成功(success) false:失败(failure)

    - #### inventorySingleTag

          public UHFTAGInfo inventorySingleTag()

      Description copied from interface: `IUHF`
      单步识别标签
      Identify tag in single mode
      Specified by:
        `inventorySingleTag` in interface `IUHF`
      Returns:
        返回标签信息(return tag infor)

    - #### readData

          public java.lang.String readData(java.lang.String accessPwd,
                                           int bank,
                                           int ptr,
                                           int cnt)

      Description copied from interface: `IUHF`
      读取标签数据
      Read tag data
      Specified by:
        `readData` in interface `IUHF`
      Parameters:
        `accessPwd` - Access password
        `bank` - 读取的存储区(read storage area): `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 读取的起始地址(单位:字) (read start address(unit: word))
        `cnt` - 读取的数据长度(单位:字) (read data length(unit: word))
      Returns:
        返回获取的数据, null表示读取失败 (return acquired data, null means read failure)

    - #### readData

          public java.lang.String readData(java.lang.String accessPwd,
                                           int filterBank,
                                           int filterPtr,
                                           int filterCnt,
                                           java.lang.String filterData,
                                           int bank,
                                           int ptr,
                                           int cnt)

      Description copied from interface: `IUHF`
      读取指定标签数据
      Read specific tag data
      Specified by:
        `readData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `bank` - 读取的存储区(Read storage area) `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 读取的起始地址(单位:字) (read start address(unit: word))
        `cnt` - 读取的数据长度(单位:字) (read data length(unit: word))
      Returns:
        返回获取的数据, null表示读取失败 (return acquired data, null means read failure)

    - #### writeData

          public boolean writeData(java.lang.String accessPwd,
                                   int bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String data)

      Description copied from interface: `IUHF`
      向标签写入数据
      Write data in tag
      Specified by:
        `writeData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `bank` - 标签的存储区(Storage area):`IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address(unit: word))
        `cnt` - 数据的长度（Word为单位，不能为0）(Data length(Word is unit, cannot be 0))
        `data` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### writeData

          public boolean writeData(java.lang.String accessPwd,
                                   int filterBank,
                                   int filterPtr,
                                   int filterCnt,
                                   java.lang.String filterData,
                                   int bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String writeData)

      Description copied from interface: `IUHF`
      将数据写入指定标签
      Write data
      Specified by:
        `writeData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `bank` - 标签的存储区(Storage area): `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address(unit: word))
        `cnt` - 数据的长度（Word为单位，不能为0）(Data length(Word is unit, cannot be 0))
        `writeData` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### writeDataToEpc

          public boolean writeDataToEpc(java.lang.String accessPwd,
                                        int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData,
                                        java.lang.String writeData)

      Description copied from interface: `IUHF`
      将数据写入到EPC,而且自动适配盘点的EPC长度
      Write data to epc
      Specified by:
        `writeDataToEpc` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `writeData` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### writeDataToEpc

          public boolean writeDataToEpc(java.lang.String accessPwd,
                                        java.lang.String writeData)

      Description copied from interface: `IUHF`
      将数据写入到EPC,而且自动适配盘点的EPC长度
      Write data to epc
      Specified by:
        `writeDataToEpc` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `writeData` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### blockWriteData

          public boolean blockWriteData(java.lang.String accessPwd,
                                        int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData,
                                        int bank,
                                        int ptr,
                                        int cnt,
                                        java.lang.String writeData)

      Description copied from interface: `IUHF`
      向标签写入数据(支持大数据标签写入)、当需要写入的标签数据比较大可以使用此函数写入
      Write data into tag(support big-sized data writing), user could use this function when big-sized data need to be written.
      Specified by:
        `blockWriteData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `bank` - 标签的存储区(Storage area): `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address(unit: word))
        `cnt` - 数据的长度（Word为单位，不能为0）(Data length(Word is unit, cannot be 0))
        `writeData` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### eraseData

          public boolean eraseData(java.lang.String accessPwd,
                                   int filterBank,
                                   int filterPtr,
                                   int filterCnt,
                                   java.lang.String filterData,
                                   int bank,
                                   int ptr,
                                   int cnt)

      Description copied from interface: `IUHF`
      擦除指定标签的数据，被擦除的数据块其内容将被设置成0.
      Clean specific tag data, data block after cleaned will be set to 0.
      Specified by:
        `eraseData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ):`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
        `bank` - 擦除的数据区域(Cleaned data block):`IUHF.Bank_RESERVED`、 `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 擦除的起始地址(单位:字) (Cleaned start address(Unit: word))
        `cnt` - 擦除的数据长度(单位:字) (Cleaned data length(Unit: word))
      Returns:
        true:成功(success) false:失败(failure)

    - #### eraseData

          public boolean eraseData(java.lang.String accessPwd,
                                   int bank,
                                   int ptr,
                                   int cnt)

      Description copied from interface: `IUHF`
      擦除数据，被擦除的数据块其内容将被设置成0.
      Data block that has been cleaned will be setup to 0.
      Specified by:
        `eraseData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `bank` - 擦除的数据区域(Cleaned data block):`IUHF.Bank_RESERVED`、 `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 擦除的起始地址(单位:字) (Cleaned start address(Unit: word))
        `cnt` - 擦除的数据长度(单位:字) (Cleaned data length(Unit: word))
      Returns:
        true:成功(success) false:失败(failure)

    - #### setFilter

          public boolean setFilter(int bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String data)

      Description copied from interface: `IUHF`
      过滤循环盘点的标签，在`IUHF.startInventoryTag()`循环盘点标签之前，可以设置要过滤的数据。
      Filter tag in auto scan mode, before scanning tags `IUHF.startInventoryTag()`, setup data that needs to be filtered.
      Specified by:
        `setFilter` in interface `IUHF`
      Parameters:
        `bank` - 过滤的存储区(Filtered storage area ): `IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 过滤的起始地址(Filter start address)
        `cnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `data` - 过滤的数据(Filtered data)
      Returns:
        true:成功(success) false:失败(failure)

    - #### killTag

          public boolean killTag(java.lang.String killPwd)

      Description copied from interface: `IUHF`
      销毁指定标签,默认密码(0x00 0x00 0x00 0x00)不能执行销毁
      Kill specific tag, default password(0x00 0x00 0x00 0x00)
      Specified by:
        `killTag` in interface `IUHF`
      Parameters:
        `killPwd` - 销毁密码(Kill password)
      Returns:
        true:成功(success) false:失败(failure)

    - #### killTag

          public boolean killTag(java.lang.String accessPwd,
                                 int filterBank,
                                 int filterPtr,
                                 int filterCnt,
                                 java.lang.String filterData)

      Description copied from interface: `IUHF`
      销毁指定标签 ,默认密码(0x00 0x00 0x00 0x00)不能执行销毁
      Kill specific tag, default password(0x00 0x00 0x00 0x00)
      Specified by:
        `killTag` in interface `IUHF`
      Parameters:
        `accessPwd` - 销毁密码(Kill password)
        `filterBank` - 过滤的存储区(Filtered storage area ):`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setProtocol

          public boolean setProtocol(int protocol)

      Description copied from interface: `IUHF`
      设置协议
      Setup protocol
      Specified by:
        `setProtocol` in interface `IUHF`
      Parameters:
        `protocol` - 0x00： ISO18000-6C
        0x01 ：GB/T 29768
        0x02 ： GJB 7377.1
        0x03 ： ISO 18000-6B
      Returns:
        true:成功(success) false:失败(failure)

    - #### getProtocol

          public int getProtocol()

      Description copied from interface: `IUHF`
      获取协议
      Acquire protocol
      Specified by:
        `getProtocol` in interface `IUHF`
      Returns:
        0x00 ：ISO18000-6C
        0x01 ： GB/T 29768
        0x02 ： GJB 7377.1

    - #### setFreHop

          public boolean setFreHop(float fre)

      Description copied from interface: `IUHF`
      设置模块频点
      Setup frequency Hop
      Specified by:
        `setFreHop` in interface `IUHF`
      Parameters:
        `fre` - 要设置的频点(frequency need to be set)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setRFLink

          public boolean setRFLink(int mode)

      Description copied from interface: `IUHF`
      设置链路参数
      Setup RFlink
      Specified by:
        `setRFLink` in interface `IUHF`
      Parameters:
        `mode` - 0-PR ASK/Miller8/160KHz
        1-PR ASK /Miller4/250KHz
        2-PR ASK/Miller4/ 320KHz
        3-PR ASK/Miller4/640KHz
        4-PR ASK/Miller2/320KHz
        5-PR ASK/Miller2/640KHz
        A-Gen2X/Miller8/ 160KHz
        B-Gen2X/Miller4/ 250KHz
        C-Gen2X/Miller4/320KHz
        D-Gen2x/Miller4/ 640KHz
        E-Gen2X/Miller2/320KHz
        F-Gen2X/Miller2/ 640KHz
      Returns:
        true:成功(success) false:失败(failure)

    - #### getRFLink

          public int getRFLink()

      Description copied from interface: `IUHF`
      获取链路参数
      acquire link parameter
      Specified by:
        `getRFLink` in interface `IUHF`
      Returns:
        0: DSB_ASK/FM0/40KH;
        1:PR_ASK/Miller4/250KHz;
        2:PR_ASK/Miller4/300KHz;
        3:DSB_ASK/FM0/400KHz

    - #### setFastID

          public boolean setFastID(boolean enalbe)

      Description copied from interface: `IUHF`
      开关FastID功能
      ON/OFF FastID function
      Specified by:
        `setFastID` in interface `IUHF`
      Parameters:
        `enalbe` - true：开(on)，false：关(off)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setTagFocus

          public boolean setTagFocus(boolean enalbe)

      Description copied from interface: `IUHF`
      开关TagFocus功能
      ON/OFF TagFocus
      Specified by:
        `setTagFocus` in interface `IUHF`
      Parameters:
        `enalbe` - true：开(on)，false：关(off)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCMode

          public boolean setEPCMode()

      Description copied from interface: `IUHF`
      设置循环盘点只获取EPC的数据
      Setup auto scan to acquire EPC only
      Specified by:
        `setEPCMode` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndTIDMode

          public boolean setEPCAndTIDMode()

      Description copied from interface: `IUHF`
      设置循环盘点同时读取 EPC、TID 模式
      Setup auto scan to acquire EPC, TID mode
      Specified by:
        `setEPCAndTIDMode` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndTIDUserMode

          public boolean setEPCAndTIDUserMode(int user_prt,
                                              int user_len)

      Description copied from interface: `IUHF`
      设置循环盘点同时读取 EPC、TID、USER 模式
      Setup auto scan to acquire EPC, TID, User mode
      Specified by:
        `setEPCAndTIDUserMode` in interface `IUHF`
      Parameters:
        `user_prt` - USER区起始地址(Start addressin USER area)
        `user_len` - USER区长度(Data length in USER area)
      Returns:
        true:成功(success) false:失败(failure)

    - #### getEPCAndTIDUserMode

          public InventoryModeEntity getEPCAndTIDUserMode()

      Description copied from interface: `IUHF`
      获取当前设置的盘点模式 (Get the currently set inventory mode)
      Specified by:
        `getEPCAndTIDUserMode` in interface `IUHF`
      Returns:
        返回盘点模式的对象(the object that returns the inventory mode)

    - #### getTemperature

          public int getTemperature()

      Description copied from interface: `IUHF`
      获取模块温度
      Acquire module Temperature
      Specified by:
        `getTemperature` in interface `IUHF`
      Returns:
        模块温度(Temperature)

    - #### uhfBlockPermalock

          public boolean uhfBlockPermalock(java.lang.String accessPwd,
                                           int filterBank,
                                           int filterPtr,
                                           int filterCnt,
                                           java.lang.String filterData,
                                           int ReadLock,
                                           int uBank,
                                           int uPtr,
                                           int uRange,
                                           byte[] uMaskbuf)

      Description copied from interface: `IUHF`
      数据块操作
      Specified by:
        `uhfBlockPermalock` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `filterBank` - 过滤的存储区(Filtered storage area ):`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `filterPtr` - 过滤的起始地址(Filter start address)
        `filterCnt` - 过滤数据长度(单位:bit),当过滤的数据长度为0时，表示无过滤 ( Filter data length(unit:bit), when filter data length is 0, it means no filter.)
        `filterData` - 过滤的数据(Filtered data)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setGen2

          public boolean setGen2(Gen2Entity gen2Entity)

      Description copied from interface: `IUHF`
      设置GEN2参数值 (Set GEN2 parameter value)
      Specified by:
        `setGen2` in interface `IUHF`
      Parameters:
        `gen2Entity` - GEN2参数实体对象(GEN2 parameter entity object)
      Returns:
        true:成功(success) false:失败(failure)

    - #### getGen2

          public Gen2Entity getGen2()

      Description copied from interface: `IUHF`
      获取GEN2参数值(Get GEN2 parameter value)
      Specified by:
        `getGen2` in interface `IUHF`
      Returns:
        GEN2参数值实体对象 (GEN2 parameter value entity object)

    - #### setCW

          public boolean setCW(int flag)

      Description copied from interface: `IUHF`
      设置连续波
      Setup CW
      Specified by:
        `setCW` in interface `IUHF`
      Parameters:
        `flag` - 1:表示开， 0：表示关
      Returns:
        true:成功(success) false:失败(failure)

    - #### getCW

          public int getCW()

      Description copied from interface: `IUHF`
      获取连续波设置
      Acquire CW setup
      Specified by:
        `getCW` in interface `IUHF`
      Returns:
        reutrn 1:表示开， 0：表示关

    - #### uhfJump2Boot

          public boolean uhfJump2Boot()

      Description copied from interface: `IUHF`
      uhf进入boot模式 ，开始升级之前需要调用此函数
      UHF enter boot mode, need to call this formula before upgrade
      Specified by:
        `uhfJump2Boot` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### uhfJump2Boot

          public boolean uhfJump2Boot(int type)

      Description copied from interface: `IUHF`
      uhf进入boot模式 ，开始升级之前需要调用此函数
      UHF enter boot mode, need to call this formula before upgrade
      Specified by:
        `uhfJump2Boot` in interface `IUHF`
      Parameters:
        `type` - 0,upgrade reader mainboard 1,upgrade UHF module 2,upgrade reader bootloader 3,upgrade Ex10 SDK firmware
      Returns:

    - #### uhfStartUpdate

          public boolean uhfStartUpdate()

      Description copied from interface: `IUHF`
      开始升级uhf模块
      Start upgrade UHF module
      Specified by:
        `uhfStartUpdate` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### uhfUpdating

          public boolean uhfUpdating(byte[] buff)

      Description copied from interface: `IUHF`
      升级uhf模块，发送uhf固件数据
      Upgrade UHF module, send UHF firmware data
      Specified by:
        `uhfUpdating` in interface `IUHF`
      Parameters:
        `buff` - 固件数据(buff firmware data)
      Returns:
        true:成功(success) false:失败(failure)

    - #### uhfStopUpdate

          public boolean uhfStopUpdate()

      Description copied from interface: `IUHF`
      停止升级uhf模块，uhf模块升级完成后需要调用此函数
      Stop upgrade UHF module, call this formula after module has been upgraded.
      Specified by:
        `uhfStopUpdate` in interface `IUHF`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setConnectionStatusCallback

          public void setConnectionStatusCallback(ConnectionStatusCallback<java.lang.Object> btStatusCallback)

      Description copied from interface: `IUHF`
      设置UHF连接状态回调
      Setup UHF continuous stauts call-back
      Specified by:
        `setConnectionStatusCallback` in interface `IBluetoothReader`
      Specified by:
        `setConnectionStatusCallback` in interface `IUHF`
      Parameters:
        `btStatusCallback` - 回调接口(Callback interface)

    - #### getConnectStatus

          public ConnectionStatus getConnectStatus()

      Description copied from interface: `IUHF`
      获取UHF连接状态
      Acquire UHF connection status
      Specified by:
        `getConnectStatus` in interface `IBluetoothReader`
      Specified by:
        `getConnectStatus` in interface `IUHF`
      Specified by:
        `getConnectStatus` in class `UhfBase`
      Returns:
        UHF连接状态(UHF connection status)

    - #### isInventorying

          public boolean isInventorying()

      Description copied from interface: `IUHF`
      uhf 是否正在盘点
      Specified by:
        `isInventorying` in interface `IUHF`
      Specified by:
        `isInventorying` in class `UhfBase`
      Returns:

    - #### setInventoryCallback

          public void setInventoryCallback(IUHFInventoryCallback inventoryCallback)

      Description copied from interface: `IUHF`
      设置盘点回调接口，接收循环盘点到的标签数据
      Set the inventory callback interface to receive the label data from the cyclic inventory
      备注：需要在开始循环盘点`IUHF.startInventoryTag()`之前调用此方法。
      Note: This method needs to be called before starting the loop inventory `IUHF.startInventoryTag()`.
      Specified by:
        `setInventoryCallback` in interface `IUHF`
      Parameters:
        `inventoryCallback` - 盘点回调接口(inventory callback interface)

    - #### readTagFromBufferList

          public java.util.List<UHFTAGInfo> readTagFromBufferList()

      Description copied from interface: `IUhfReader`
      Deprecated. Use `#setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .
      Specified by:
        `readTagFromBufferList` in interface `IUhfReader`

    - #### getAllTagTotalFromFlash

          public int getAllTagTotalFromFlash()

      Description copied from interface: `IUhfReader`
      获取R2、R6 缓存的标签数量
      Acquire tag amounts in buffer of R2 and R6.
      Specified by:
        `getAllTagTotalFromFlash` in interface `IUhfReader`
      Returns:
        返回缓存标签的数量(return tag amounts in buffer.)

    - #### deleteAllTagToFlash

          public boolean deleteAllTagToFlash()

      Description copied from interface: `IUhfReader`
      删除R2、R6缓存的标签
      Delete tag in buffer of R2 and R6
      Specified by:
        `deleteAllTagToFlash` in interface `IUhfReader`
      Returns:
        true:成功(success) false:失败(failure)

    - #### getTagDataFromFlash

          public java.util.List<UHFTAGInfo> getTagDataFromFlash()

      Description copied from interface: `IUhfReader`
      获取R2、R6缓存的标签信息
      Acquire tag information in buffer of R2 and R6
      Specified by:
        `getTagDataFromFlash` in interface `IUhfReader`
      Returns:
        返回缓存的标签列表(Return tag list of buffer)

    - #### setReaderAwaitSleepTime

          public boolean setReaderAwaitSleepTime(int time)

      Description copied from interface: `IUhfReader`
      设置读写器等待休眠的时间。在读写器断开连接的状态下，即将进入休眠的时间。
      Specified by:
        `setReaderAwaitSleepTime` in interface `IUhfReader`
      Parameters:
        `time` - (1-254)等待休眠时间单位:分钟，默认5分钟
      Returns:
        true:成功 false:失败

    - #### getReaderAwaitSleepTime

          public int getReaderAwaitSleepTime()

      Description copied from interface: `IUhfReader`
      获取读写器等待休眠的时间
      Specified by:
        `getReaderAwaitSleepTime` in interface `IUhfReader`
      Returns:
        返回等待休眠的时间, 返回-1表示获取失败

    - #### getNewTagTotalFromFlash

          public int getNewTagTotalFromFlash()

      Specified by:
        `getNewTagTotalFromFlash` in interface `IUhfReader`

    - #### getFastID

          public int getFastID()

      Specified by:
        `getFastID` in interface `IUhfReader`

    - #### getTagfocus

          public int getTagfocus()

      Specified by:
        `getTagfocus` in interface `IUhfReader`